Bug 222181 - security/py-service_identity: upgrade to 17.0.0
Summary: security/py-service_identity: upgrade to 17.0.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Alan Somers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-09-09 22:27 UTC by Alan Somers
Modified: 2017-09-17 03:52 UTC (History)
1 user (show)

See Also:
Axel.Rau: maintainer-feedback+


Attachments
Upgrade py-service_identity to 17.0.0 (1006 bytes, patch)
2017-09-09 22:27 UTC, Alan Somers
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alan Somers freebsd_committer 2017-09-09 22:27:56 UTC
Created attachment 186212 [details]
Upgrade py-service_identity to 17.0.0

Trivially upgrade this port.  devel/py-twisted is actually using features from service_identity that were introduced in 17.0.0, even though twisted's setup.py file doesn't specify a version dependency.

Passes poudriere builds on 11.1 and 10.3.  Run tested by using Buildbot with this version of service_identity.
Comment 1 commit-hook freebsd_committer 2017-09-13 23:45:26 UTC
A commit references this bug:

Author: asomers
Date: Wed Sep 13 23:45:06 UTC 2017
New revision: 449816
URL: https://svnweb.freebsd.org/changeset/ports/449816

Log:
  security/py-service_identity: upgrade to 17.0.0

  PR:		222181
  Approved by:	Axel.Rau@Chaos1.DE (maintainer)

Changes:
  head/security/py-service_identity/Makefile
  head/security/py-service_identity/distinfo